Name:          libopusenc
Version:       0.2.1
Release:       1mamba
Summary:       Opus encoding library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://opus-codec.org/
Source:        https://archive.mozilla.org/pub/opus/libopusenc-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopus-devel
## AUTOBUILDREQ-END

%description
Opus encoding library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libopusenc.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/opus/opusenc.h
%{_libdir}/libopusenc.a
%{_libdir}/libopusenc.la
%{_libdir}/libopusenc.so
%{_libdir}/pkgconfig/libopusenc.pc
%dir %{_docdir}/libopusenc
%{_datadir}/doc/libopusenc/AUTHORS
%{_datadir}/doc/libopusenc/COPYING
%{_datadir}/doc/libopusenc/README.md
%dir %{_docdir}/libopusenc/html
%{_docdir}/libopusenc/html/*
%doc README.md

%changelog
* Sun Jul 31 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1mamba
- package created using the webbuild interface
